/* include/config.h.  Generated from config.h.in by configure.  */
/* include/config.h.in.  Generated from configure.ac by autoheader.  */

/* Define if building universal (internal helper macro) */
/* #undef AC_APPLE_UNIVERSAL_BUILD */

/* Define to the number of bits in type 'ptrdiff_t'. */
/* #undef BITSIZEOF_PTRDIFF_T */

/* Define to the number of bits in type 'sig_atomic_t'. */
/* #undef BITSIZEOF_SIG_ATOMIC_T */

/* Define to the number of bits in type 'size_t'. */
/* #undef BITSIZEOF_SIZE_T */

/* Define to the number of bits in type 'wchar_t'. */
/* #undef BITSIZEOF_WCHAR_T */

/* Define to the number of bits in type 'wint_t'. */
/* #undef BITSIZEOF_WINT_T */

/* Build version */
#define BUILD_VERSION "b36b869"

/* Library to load for ccm support */
/* #undef CCM_LIBRARY */

/* Where to keep blackbox dumps */
#define CRM_BLACKBOX_DIR "/var/lib/pacemaker/blackbox"

/* Where to keep cts stateful data */
#define CRM_CONFIG_CTS "/var/lib/pacemaker/cts"

/* Where to keep configuration files */
#define CRM_CONFIG_DIR "/var/lib/pacemaker/cib"

/* Location to store core files produced by Pacemaker daemons */
#define CRM_CORE_DIR "/var/lib/pacemaker/cores"

/* Location for Pacemaker daemons */
#define CRM_DAEMON_DIR "/usr/lib/pacemaker"

/* Group to run Pacemaker daemons as */
#define CRM_DAEMON_GROUP "haclient"

/* User to run Pacemaker daemons as */
#define CRM_DAEMON_USER "hacluster"

/* Location for the Pacemaker Relax-NG Schema */
#define CRM_DTD_DIRECTORY "/usr/share/pacemaker"

/* Set of enabled features */
#define CRM_FEATURES " generated-manpages agent-manpages ascii-docs publican-docs ncurses profile libqb-logging libqb-ipc lha-fencing systemd nagios  corosync-native atomic-attrd snmp libesmtp acls"

/* Where Pacemaker used to keep configuration files */
#define CRM_LEGACY_CONFIG_DIR "/var/lib/heartbeat/crm"

/* Where Pacemaker can store log files */
#define CRM_LOG_DIR "/var/log/pacemaker"

/* Location to store directory produced by Pacemaker daemons */
#define CRM_PACEMAKER_DIR "/var/lib/pacemaker"

/* Where resource agents should keep state files */
#define CRM_RSCTMP_DIR "/var/run/resource-agents"

/* Where to keep state files and sockets */
#define CRM_STATE_DIR "/var/run/crm"

/* Does corosync use libqb for its ipc */
#define CS_USES_LIBQB 1

/* Build in support for CIB ACL */
#define ENABLE_ACL 1

/* Build in support for sending mail notifications with ESMTP */
#define ENABLE_ESMTP 1

/* Build in support for sending SNMP traps */
#define ENABLE_SNMP 1

/* gcc can complain about nonliterals in format */
#define GCC_FORMAT_NONLITERAL_CHECKING_ENABLED /**/

/* Define to 1 if you have the <agent_config.h> header file. */
#define HAVE_AGENT_CONFIG_H 1

/* Define to 1 if you have the `alphasort' function. */
#define HAVE_ALPHASORT 1

/* Define to 1 if you have the `argz_add' function. */
#define HAVE_ARGZ_ADD 1

/* Define to 1 if you have the `argz_append' function. */
#define HAVE_ARGZ_APPEND 1

/* Define to 1 if you have the `argz_count' function. */
#define HAVE_ARGZ_COUNT 1

/* Define to 1 if you have the `argz_create_sep' function. */
#define HAVE_ARGZ_CREATE_SEP 1

/* Define to 1 if you have the <argz.h> header file. */
#define HAVE_ARGZ_H 1

/* Define to 1 if you have the `argz_insert' function. */
#define HAVE_ARGZ_INSERT 1

/* Define to 1 if you have the `argz_next' function. */
#define HAVE_ARGZ_NEXT 1

/* Define to 1 if you have the `argz_stringify' function. */
#define HAVE_ARGZ_STRINGIFY 1

/* Define to 1 if you have the <arpa/inet.h> header file. */
#define HAVE_ARPA_INET_H 1

/* Define to 1 if you have the <asm/types.h> header file. */
#define HAVE_ASM_TYPES_H 1

/* Define to 1 if you have the <assert.h> header file. */
#define HAVE_ASSERT_H 1

/* Support the new atomic attrd */
#define HAVE_ATOMIC_ATTRD 1

/* Define to 1 if you have the <auth-client.h> header file. */
#define HAVE_AUTH_CLIENT_H 1

/* Define to 1 if you have the <bzlib.h> header file. */
#define HAVE_BZLIB_H 1

/* Define to 1 if you have the `closedir' function. */
#define HAVE_CLOSEDIR 1

/* Have the new non-herarchial Corosync config API */
#define HAVE_CMAP 1

/* Have the old herarchial Corosync config API */
#define HAVE_CONFDB 0

/* Define to 1 if you have the <ctype.h> header file. */
#define HAVE_CTYPE_H 1

/* Define to 1 if you have the <curses/curses.h> header file. */
/* #undef HAVE_CURSES_CURSES_H */

/* Define to 1 if you have the <curses.h> header file. */
#define HAVE_CURSES_H 1

/* Define to 1 if the system has the type `DBusBasicValue'. */
#define HAVE_DBUSBASICVALUE 1

/* Define to 1 if you have the declaration of `cygwin_conv_path', and to 0 if
   you don't. */
/* #undef HAVE_DECL_CYGWIN_CONV_PATH */

/* Have getopt function */
#define HAVE_DECL_GETOPT 1

/* Have nanosleep function */
#define HAVE_DECL_NANOSLEEP 1

/* Define to 1 if you have the declaration of `tzname', and to 0 if you don't.
   */
/* #undef HAVE_DECL_TZNAME */

/* Define to 1 if you have the <dirent.h> header file. */
#define HAVE_DIRENT_H 1

/* Define if you have the GNU dld library. */
/* #undef HAVE_DLD */

/* Define to 1 if you have the <dld.h> header file. */
/* #undef HAVE_DLD_H */

/* Define to 1 if you have the `dlerror' function. */
#define HAVE_DLERROR 1

/* Define to 1 if you have the <dlfcn.h> header file. */
#define HAVE_DLFCN_H 1

/* Define to 1 if you have the <dl.h> header file. */
/* #undef HAVE_DL_H */

/* Define if you have the _dyld_func_lookup function. */
/* #undef HAVE_DYLD */

/* Define to 1 if you have the <errno.h> header file. */
#define HAVE_ERRNO_H 1

/* Define to 1 if the system has the type `error_t'. */
#define HAVE_ERROR_T 1

/* Define to 1 if you have the <fcntl.h> header file. */
#define HAVE_FCNTL_H 1

/* Define to 1 if you have the `getopt' function. */
#define HAVE_GETOPT 1

/* Define to 1 if you have the <getopt.h> header file. */
#define HAVE_GETOPT_H 1

/* Define to 1 if you have the <glib.h> header file. */
#define HAVE_GLIB_H 1

/* Define to 1 if you have the <gnutls/gnutls.h> header file. */
#define HAVE_GNUTLS_GNUTLS_H 1

/* Define to 1 if you have the `gnutls_priority_set_direct' function. */
#define HAVE_GNUTLS_PRIORITY_SET_DIRECT 1

/* Define to 1 if you have the <grp.h> header file. */
#define HAVE_GRP_H 1

/* Define to 1 if you have the `g_log_set_default_handler' function. */
#define HAVE_G_LOG_SET_DEFAULT_HANDLER 1

/* Define to 1 if you have the <heartbeat/glue_config.h> header file. */
#define HAVE_HEARTBEAT_GLUE_CONFIG_H 1

/* Define to 1 if you have the <heartbeat/hb_config.h> header file. */
/* #undef HAVE_HEARTBEAT_HB_CONFIG_H */

/* Do we have incompatible printw() in curses library? */
/* #undef HAVE_INCOMPATIBLE_PRINTW */

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Have qb_ipcc_get_buffer_size function */
/* #undef HAVE_IPCS_GET_BUFFER_SIZE */

/* Define to 1 if you have the `bz2' library (-lbz2). */
#define HAVE_LIBBZ2 1

/* Define to 1 if you have the `c' library (-lc). */
#define HAVE_LIBC 1

/* Define to 1 if you have the `corosync_common' library (-lcorosync_common).
   */
#define HAVE_LIBCOROSYNC_COMMON 1

/* have curses library */
/* #undef HAVE_LIBCURSES */

/* Define to 1 if you have the `dl' library (-ldl). */
#define HAVE_LIBDL 1

/* Define if libdlloader will be built on this platform */
#define HAVE_LIBDLLOADER 1

/* Define to 1 if you have the <libesmtp.h> header file. */
#define HAVE_LIBESMTP_H 1

/* Define to 1 if you have the `gnugetopt' library (-lgnugetopt). */
/* #undef HAVE_LIBGNUGETOPT */

/* Define to 1 if you have the `gnutls' library (-lgnutls). */
#define HAVE_LIBGNUTLS 1

/* have ncurses library */
#define HAVE_LIBNCURSES 1

/* Define to 1 if you have the `pam' library (-lpam). */
#define HAVE_LIBPAM 1

/* Define to 1 if you have the `pils' library (-lpils). */
#define HAVE_LIBPILS 1

/* Define to 1 if you have the `plumb' library (-lplumb). */
#define HAVE_LIBPLUMB 1

/* Define to 1 if you have the `qb' library (-lqb). */
#define HAVE_LIBQB 1

/* Define to 1 if you have the `rt' library (-lrt). */
#define HAVE_LIBRT 1

/* Define to 1 if you have the `socket' library (-lsocket). */
/* #undef HAVE_LIBSOCKET */

/* Define to 1 if you have the `uuid' library (-luuid). */
#define HAVE_LIBUUID 1

/* Define to 1 if you have the `xml2' library (-lxml2). */
#define HAVE_LIBXML2 1

/* Define to 1 if you have the <libxml/xpath.h> header file. */
#define HAVE_LIBXML_XPATH_H 1

/* Define to 1 if you have the `xslt' library (-lxslt). */
#define HAVE_LIBXSLT 1

/* Define to 1 if you have the <libxslt/xslt.h> header file. */
#define HAVE_LIBXSLT_XSLT_H 1

/* Define to 1 if you have the <limits.h> header file. */
#define HAVE_LIMITS_H 1

/* Define to 1 if you have the <linux/errqueue.h> header file. */
#define HAVE_LINUX_ERRQUEUE_H 1

/* Define to 1 if you have the <linux/swab.h> header file. */
#define HAVE_LINUX_SWAB_H 1

/* Define to 1 if the system has the type 'long long int'. */
#define HAVE_LONG_LONG_INT 1

/* Define to 1 if `rsc_deleted' is a member of `lrm_op_t'. */
#define HAVE_LRM_OP_T_RSC_DELETED 1

/* Define this if a modern libltdl is already installed */
#define HAVE_LTDL 1

/* Define to 1 if you have the <mach-o/dyld.h> header file. */
/* #undef HAVE_MACH_O_DYLD_H */

/* Define to 1 if you have the <malloc.h> header file. */
#define HAVE_MALLOC_H 1

/* Define to 1 if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* Define to 1 if you have the `nanosleep' function. */
#define HAVE_NANOSLEEP 1

/* Define to 1 if you have the <ncurses.h> header file. */
#define HAVE_NCURSES_H 1

/* Define to 1 if you have the <ncurses/ncurses.h> header file. */
#define HAVE_NCURSES_NCURSES_H 1

/* Define to 1 if you have the <netdb.h> header file. */
#define HAVE_NETDB_H 1

/* Define to 1 if you have the <netinet/in.h> header file. */
#define HAVE_NETINET_IN_H 1

/* Define to 1 if you have the <netinet/ip.h> header file. */
#define HAVE_NETINET_IP_H 1

/* Define to 1 if you have the `netsnmp_tdomain_transport' function. */
/* #undef HAVE_NETSNMP_TDOMAIN_TRANSPORT */

/* Define to 1 if you have the `netsnmp_transport_open_client' function. */
#define HAVE_NETSNMP_TRANSPORT_OPEN_CLIENT 1

/* Define to 1 if you have the <net-snmp/net-snmp-config.h> header file. */
#define HAVE_NET_SNMP_NET_SNMP_CONFIG_H 1

/* Define to 1 if you have the `NoSuchFunctionName' function. */
/* #undef HAVE_NOSUCHFUNCTIONNAME */

/* Define to 1 if you have the `opendir' function. */
#define HAVE_OPENDIR 1

/* Define to 1 if you have the <pam/pam_appl.h> header file. */
/* #undef HAVE_PAM_PAM_APPL_H */

/* Define if libtool can extract symbol lists from object files. */
#define HAVE_PRELOADED_SYMBOLS 1

/* Define to 1 if you have the <pthread.h> header file. */
#define HAVE_PTHREAD_H 1

/* Define to 1 if you have the <pwd.h> header file. */
#define HAVE_PWD_H 1

/* Define to 1 if you have the `qb_ipcs_connection_get_buffer_size' function.
   */
/* #undef HAVE_QB_IPCS_CONNECTION_GET_BUFFER_SIZE */

/* Define to 1 if you have the <qb/qbipc_common.h> header file. */
#define HAVE_QB_QBIPC_COMMON_H 1

/* Define to 1 if you have the `readdir' function. */
#define HAVE_READDIR 1

/* Define to 1 if you have the `scandir' function. */
#define HAVE_SCANDIR 1

/* Define to 1 if you have the `sched_setscheduler' function. */
#define HAVE_SCHED_SETSCHEDULER 1

/* Define to 1 if you have the <security/pam_appl.h> header file. */
#define HAVE_SECURITY_PAM_APPL_H 1

/* Define to 1 if you have the `setenv' function. */
#define HAVE_SETENV 1

/* Define to 1 if you have the <sgtty.h> header file. */
#define HAVE_SGTTY_H 1

/* Define if you have the shl_load function. */
/* #undef HAVE_SHL_LOAD */

/* Define if sighandler_t available */
/* #undef HAVE_SIGHANDLER_T */

/* Define to 1 if you have the <signal.h> header file. */
#define HAVE_SIGNAL_H 1

/* Define to 1 if 'sig_atomic_t' is a signed integer type. */
/* #undef HAVE_SIGNED_SIG_ATOMIC_T */

/* Define to 1 if 'wchar_t' is a signed integer type. */
/* #undef HAVE_SIGNED_WCHAR_T */

/* Define to 1 if 'wint_t' is a signed integer type. */
/* #undef HAVE_SIGNED_WINT_T */

/* Define to 1 if you have the <stdarg.h> header file. */
#define HAVE_STDARG_H 1

/* Define to 1 if you have the <stddef.h> header file. */
#define HAVE_STDDEF_H 1

/* Define to 1 if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define to 1 if you have the <stdio.h> header file. */
#define HAVE_STDIO_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the <stonith/stonith.h> header file. */
#define HAVE_STONITH_STONITH_H 1

/* Define to 1 if you have the `strchrnul' function. */
#define HAVE_STRCHRNUL 1

/* Define to 1 if you have the `strerror' function. */
#define HAVE_STRERROR 1

/* Define to 1 if cpp supports the ANSI # stringizing operator. */
#define HAVE_STRINGIZE 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the `strlcat' function. */
#define HAVE_STRLCAT 1

/* Define to 1 if you have the `strlcpy' function. */
#define HAVE_STRLCPY 1

/* Define to 1 if you have the `strndup' function. */
#define HAVE_STRNDUP 1

/* Define to 1 if you have the `strnlen' function. */
#define HAVE_STRNLEN 1

/* Define this if struct dirent has d_type */
#define HAVE_STRUCT_DIRENT_D_TYPE 1

/* Define to 1 if `fail_rsc' is a member of `struct lrm_ops'. */
#define HAVE_STRUCT_LRM_OPS_FAIL_RSC 1

/* Define to 1 if `tm_gmtoff' is a member of `struct tm'. */
#define HAVE_STRUCT_TM_TM_GMTOFF 1

/* Define to 1 if `tm_zone' is a member of `struct tm'. */
#define HAVE_STRUCT_TM_TM_ZONE 1

/* Define to 1 if you have the <sys/bitypes.h> header file. */
/* #undef HAVE_SYS_BITYPES_H */

/* Define to 1 if you have the <sys/dir.h> header file. */
#define HAVE_SYS_DIR_H 1

/* Define to 1 if you have the <sys/dl.h> header file. */
/* #undef HAVE_SYS_DL_H */

/* Define to 1 if you have the <sys/inttypes.h> header file. */
/* #undef HAVE_SYS_INTTYPES_H */

/* Define to 1 if you have the <sys/ioctl.h> header file. */
#define HAVE_SYS_IOCTL_H 1

/* Define to 1 if you have the <sys/param.h> header file. */
#define HAVE_SYS_PARAM_H 1

/* Define to 1 if you have the <sys/poll.h> header file. */
#define HAVE_SYS_POLL_H 1

/* Define to 1 if you have the <sys/reboot.h> header file. */
#define HAVE_SYS_REBOOT_H 1

/* Define to 1 if you have the <sys/resource.h> header file. */
#define HAVE_SYS_RESOURCE_H 1

/* Define to 1 if you have the <sys/select.h> header file. */
#define HAVE_SYS_SELECT_H 1

/* Define to 1 if you have the <sys/signalfd.h> header file. */
#define HAVE_SYS_SIGNALFD_H 1

/* Define to 1 if you have the <sys/socket.h> header file. */
#define HAVE_SYS_SOCKET_H 1

/* Define to 1 if you have the <sys/sockio.h> header file. */
/* #undef HAVE_SYS_SOCKIO_H */

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/timeb.h> header file. */
#define HAVE_SYS_TIMEB_H 1

/* Define to 1 if you have the <sys/time.h> header file. */
#define HAVE_SYS_TIME_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <sys/uio.h> header file. */
#define HAVE_SYS_UIO_H 1

/* Define to 1 if you have the <sys/un.h> header file. */
#define HAVE_SYS_UN_H 1

/* Define to 1 if you have the <sys/utsname.h> header file. */
#define HAVE_SYS_UTSNAME_H 1

/* Define to 1 if you have the <sys/wait.h> header file. */
#define HAVE_SYS_WAIT_H 1

/* Define to 1 if you have the <time.h> header file. */
#define HAVE_TIME_H 1

/* Define to 1 if your `struct tm' has `tm_zone'. Deprecated, use
   `HAVE_STRUCT_TM_TM_ZONE' instead. */
#define HAVE_TM_ZONE 1

/* Define to 1 if you don't have `tm_zone' but do have the external array
   `tzname'. */
/* #undef HAVE_TZNAME */

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Define to 1 if you have the `unsetenv' function. */
#define HAVE_UNSETENV 1

/* Define to 1 if the system has the type 'unsigned long long int'. */
#define HAVE_UNSIGNED_LONG_LONG_INT 1

/* Define to 1 if you have the `uuid_unparse' function. */
#define HAVE_UUID_UNPARSE 1

/* Define to 1 if you have the <uuid/uuid.h> header file. */
#define HAVE_UUID_UUID_H 1

/* Define to 1 if you have the <wchar.h> header file. */
#define HAVE_WCHAR_H 1

/* Define to 1 if you have the <winsock.h> header file. */
/* #undef HAVE_WINSOCK_H */

/* This value is set to 1 to indicate that the system argz facility works */
#define HAVE_WORKING_ARGZ 1

/* */
#define HAVE___PROGNAME 1

/* Where Heartbeat keeps state files and sockets */
#define HA_STATE_DIR "/var/run"

/* Location Heartbeat expects Pacemaker daemons to be in */
#define HB_DAEMON_DIR "/usr/lib64/heartbeat"

/* Library to load for heartbeat support */
/* #undef HEARTBEAT_LIBRARY */

/* Location for CIB secrets */
/* #undef LRM_CIBSECRETS_DIR */

/* Legacy location for CIB secrets */
/* #undef LRM_LEGACY_CIBSECRETS_DIR */

/* Define if the OS needs help to load dependent libraries for dlopen(). */
/* #undef LTDL_DLOPEN_DEPLIBS */

/* Define to the system default library search path. */
#define LT_DLSEARCH_PATH "/lib64:/usr/lib64"

/* The archive extension */
#define LT_LIBEXT "a"

/* The archive prefix */
#define LT_LIBPREFIX "lib"

/* Define to the extension used for runtime loadable modules, say, ".so". */
#define LT_MODULE_EXT ".so"

/* Define to the name of the environment variable that determines the run-time
   module search path. */
#define LT_MODULE_PATH_VAR "LD_LIBRARY_PATH"

/* Define to the sub-directory in which libtool stores uninstalled libraries.
   */
#define LT_OBJDIR ".libs/"

/* Define to the shared library suffix, say, ".dylib". */
/* #undef LT_SHARED_EXT */

/* Directory for nagios plugins metadata */
#define NAGIOS_METADATA_DIR "/usr/share/nagios/plugins-metadata"

/* Directory for nagios plugins */
#define NAGIOS_PLUGIN_DIR "/usr/lib/nagios/plugins"

/* Define if dlsym() requires a leading underscore in symbol names. */
/* #undef NEED_USCORE */

/* Use the older 5.3 version of the net-snmp API */
/* #undef NETSNMPV53 */

/* Define to 1 if your C compiler doesn't accept -c and -o together. */
/* #undef NO_MINUS_C_MINUS_O */

/* Location for OCF RAs */
#define OCF_RA_DIR "/usr/lib/ocf/resource.d"

/* Compiling for BSD platform */
/* #undef ON_BSD */

/* Compiling for Darwin platform */
/* #undef ON_DARWIN */

/* Compiling for Linux platform */
#define ON_LINUX 1

/* Compiling for Solaris platform */
/* #undef ON_SOLARIS */

/* Current pacemaker version */
#define PACEMAKER_VERSION "1.1.17-alt0.M70C.1"

/* Name of package */
#define PACKAGE "pacemaker"

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT "users@clusterlabs.org"

/* Define to the full name of this package. */
#define PACKAGE_NAME "pacemaker"

/* Define to the full name and version of this package. */
#define PACKAGE_STRING "pacemaker 1.1.17"

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "pacemaker"

/* Define to the home page for this package. */
#define PACKAGE_URL "http://clusterlabs.org/"

/* Define to the version of this package. */
#define PACKAGE_VERSION "1.1.17"

/* Corosync service number */
#define PCMK_SERVICE_ID 9

/* Where to keep PEngine outputs */
#define PE_STATE_DIR "/var/lib/pacemaker/pengine"

/* Define to l, ll, u, ul, ull, etc., as suitable for constants of type
   'ptrdiff_t'. */
/* #undef PTRDIFF_T_SUFFIX */

/* Location for Red Hat Stonith agents */
#define RH_STONITH_DIR "/usr/sbin"

/* Prefix for Red Hat Stonith agents */
#define RH_STONITH_PREFIX "fence_"

/* Location for system binaries */
#define SBIN_DIR "/usr/sbin"

/* Define to l, ll, u, ul, ull, etc., as suitable for constants of type
   'sig_atomic_t'. */
/* #undef SIG_ATOMIC_T_SUFFIX */

/* The size of `char', as computed by sizeof. */
#define SIZEOF_CHAR 1

/* The size of `int', as computed by sizeof. */
#define SIZEOF_INT 4

/* The size of `long', as computed by sizeof. */
#define SIZEOF_LONG 8

/* The size of `long long', as computed by sizeof. */
#define SIZEOF_LONG_LONG 8

/* The size of `short', as computed by sizeof. */
#define SIZEOF_SHORT 2

/* Define to l, ll, u, ul, ull, etc., as suitable for constants of type
   'size_t'. */
/* #undef SIZE_T_SUFFIX */

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Support CIB secrets */
#define SUPPORT_CIBSECRETS 0

/* Support the consumption of membership and quorum from cman */
#define SUPPORT_CMAN 0

/* Support the Corosync messaging and membership layer */
#define SUPPORT_COROSYNC 1

/* Support the consumption of membership and quorum from corosync */
#define SUPPORT_CS_QUORUM 1

/* Support dbus */
#define SUPPORT_DBUS 1

/* Support the Heartbeat messaging and membership layer */
#define SUPPORT_HEARTBEAT 0

/* Support nagios plugins */
#define SUPPORT_NAGIOS 1

/* Support the Pacemaker plugin for Corosync */
#define SUPPORT_PLUGIN 0

/* Support for profiling */
#define SUPPORT_PROFILING 1

/* Support a stand-alone stonith config file in addition to the CIB */
#define SUPPORT_STONITH_CONFIG 0

/* Support systemd based system services */
#define SUPPORT_SYSTEMD 1

/* Support upstart based system services */
#define SUPPORT_UPSTART 0

/* Define to 1 if your <sys/time.h> declares `struct tm'. */
/* #undef TM_IN_SYS_TIME */

/* Correct printf format for logging uint64_t */
#define U64T "%lu"

/* Location of Heartbeat's UUID file */
#define UUID_FILE "/var/lib/heartbeat/hb_uuid"

/* Valgrind command */
#define VALGRIND_BIN "/usr/bin/valgrind"

/* Version number of package */
#define VERSION "1.1.17"

/* Define to l, ll, u, ul, ull, etc., as suitable for constants of type
   'wchar_t'. */
/* #undef WCHAR_T_SUFFIX */

/* Define to l, ll, u, ul, ull, etc., as suitable for constants of type
   'wint_t'. */
/* #undef WINT_T_SUFFIX */

/* Define WORDS_BIGENDIAN to 1 if your processor stores words with the most
   significant byte first (like Motorola and SPARC, unlike Intel). */
#if defined AC_APPLE_UNIVERSAL_BUILD
# if defined __BIG_ENDIAN__
#  define WORDS_BIGENDIAN 1
# endif
#else
# ifndef WORDS_BIGENDIAN
/* #  undef WORDS_BIGENDIAN */
# endif
#endif

/* Define to 1 if `lex' declares `yytext' as a `char *' by default, not a
   `char[]'. */
#define YYTEXT_POINTER 1

/* The _Noreturn keyword of C11.  */
#if !defined _Noreturn && __STDC_VERSION__ < 201112
# if (3 <= __GNUC__ || (__GNUC__ == 2 && 8 <= __GNUC_MINOR__) \
      || 0x5110 <= __SUNPRO_C)
#  define _Noreturn __attribute__ ((__noreturn__))
# elif defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn
# endif
#endif


/* Define so that glibc/gnulib argp.h does not typedef error_t. */
/* #undef __error_t_defined */

/* Define to a type to use for `error_t' if it is not otherwise available. */
/* #undef error_t */

/* Define to `__inline__' or `__inline' if that's what the C compiler
   calls it, or to nothing if 'inline' is not supported under any name.  */
#ifndef __cplusplus
/* #undef inline */
#endif

/* Work around a bug in Apple GCC 4.0.1 build 5465: In C99 mode, it supports
   the ISO C 99 semantics of 'extern inline' (unlike the GNU C semantics of
   earlier versions), but does not display it by setting __GNUC_STDC_INLINE__.
   __APPLE__ && __MACH__ test for MacOS X.
   __APPLE_CC__ tests for the Apple compiler and its version.
   __STDC_VERSION__ tests for the C99 mode.  */
#if defined __APPLE__ && defined __MACH__ && __APPLE_CC__ >= 5465 && !defined __cplusplus && __STDC_VERSION__ >= 199901L && !defined __GNUC_STDC_INLINE__
# define __GNUC_STDC_INLINE__ 1
#endif

/* Define to `unsigned int' if <sys/types.h> does not define. */
/* #undef size_t */

/* Define as a marker that can be attached to declarations that might not
    be used.  This helps to reduce warnings, such as from
    GCC -Wunused-parameter.  */
#if __GNUC__ >= 3 || (__GNUC__ == 2 && __GNUC_MINOR__ >= 7)
# define _GL_UNUSED __attribute__ ((__unused__))
#else
# define _GL_UNUSED
#endif
/* The name _UNUSED_PARAMETER_ is an earlier spelling, although the name
   is a misnomer outside of parameter lists.  */
#define _UNUSED_PARAMETER_ _GL_UNUSED

/* The __pure__ attribute was added in gcc 2.96.  */
#if __GNUC__ > 2 || (__GNUC__ == 2 && __GNUC_MINOR__ >= 96)
# define _GL_ATTRIBUTE_PURE __attribute__ ((__pure__))
#else
# define _GL_ATTRIBUTE_PURE /* empty */
#endif

/* The __const__ attribute was added in gcc 2.95.  */
#if __GNUC__ > 2 || (__GNUC__ == 2 && __GNUC_MINOR__ >= 95)
# define _GL_ATTRIBUTE_CONST __attribute__ ((__const__))
#else
# define _GL_ATTRIBUTE_CONST /* empty */
#endif

